/********************************************************************************
 Author : TAbiog (cic.asia@analog.com)

 Date : April 2014

 File name : AD7091R.h

 Description : MACRO definition for AD7091R

 Hardware plateform : ADuCM360 + AD7091R
********************************************************************************/

#ifndef AD7091R_H
#define AD7091R_H

#define PIN_HIGH 				0x1
#define PIN_LOW  				0x0

#define CS						0x08	//P1.3 external Chip Select
#define CNV 					0x04 //Set CNV to PIN 1.2



// Register Address
#define CONV							0x0000
#define CHN								0x0800
#define CON_REG						0x1000
#define ALERT							0x1800
#define CH0_LOW_LMT				0x2000
#define CH0_HI_LMT				0x2800
#define CH0_HYST					0x3000
#define CH1_LOW_LMT				0x3800
#define CH1_HI_LMT				0x4000
#define CH1_HYST					0x4800
#define CH2_LOW_LMT				0x5000
#define CH2_HI_LMT				0x5800
#define CH2_HYST					0x6000
#define CH3_LOW_LMT				0x6800
#define CH3_HI_LMT				0x7000
#define CH3_HYST					0x7800
#define CH4_LOW_LMT				0x8000
#define CH4_HI_LMT				0x8800
#define CH4_HYST					0x9000
#define CH5_LOW_LMT				0x9800
#define CH5_HI_LMT				0xA000
#define CH5_HYST					0xA800
#define CH6_LOW_LMT				0xB000
#define CH6_HI_LMT				0xB800
#define CH6_HYST					0xC000
#define CH7_LOW_LMT				0xC800
#define CH7_HI_LMT				0xD000
#define CH7_HYST					0xD800

// Channel Register Settings
#define CH7_EN					0x80
#define CH7_DIS					0x00
#define CH6_EN					0x40
#define CH6_DIS					0x00
#define CH5_EN					0x20
#define CH5_DIS					0x00
#define CH4_EN					0x10
#define CH4_DIS					0x00
#define CH3_EN					0x08
#define CH3_DIS					0x00
#define CH2_EN					0x04
#define CH2_DIS					0x00
#define CH1_EN					0x02
#define CH1_DIS					0x00
#define CH0_EN					0x01
#define CH0_DIS					0x00
#define CH_ALL_EN				0xFF
#define CH_ALL_DIS			0x00


// Configuration Register Settings
#define SOFT_RESET					0x0200
#define CLR_ALRT_HYS				0x0000
#define CLR_ALRT_RD					0x0080
#define ALRT_DRV_OD					0x0000
#define ALRT_DRV_CMOS				0x0040
#define BUSY_UNUSE					0x0000
#define BUSY_USE						0x0020
#define GPO0_EN_GPO					0x0000
#define GPO0_EN_ALRT				0x0010
#define GPO0_POL_LOW				0x0000
#define GPO0_POL_HI					0x0008
#define GPO1_LOW						0x0000
#define GPO1_HI							0x0004
#define PDOWN_SLEEP					0x0002
#define PDOWN_WAKE					0x0000
#define PDOWN_INT_REF_ON		0x0001
#define PDOWN_INT_REF_OFF		0x0000
#define PDOWN_MODE_0				0x0000
#define PDOWN_MODE_1				0x0001
#define PDOWN_MODE_2				0x0002
#define PDOWN_MODE_3				0x0003

#define CH0						0x00
#define CH1						0x01
#define CH2						0x02
#define CH3						0x03
#define CH4						0x04
#define CH5						0x05
#define CH6						0x06
#define CH7						0x07



#endif 
