/********************************************************************************
 Author : TAbiog (cic.asia@analog.com)

 Date : December 2013

 File name : ADuCM360Driver.h

 Description : Function declaration and Pin assignment

 Hardware plateform : ADuCM360 	
********************************************************************************/


#ifndef ADUCM360_DRIVER_H
#define ADUCM360_DRIVER_H

#include "stdint.h"
#define uint32_t unsigned long int
#define unint32_t unsigned long int

#define PIN_HIGH 0x1
#define PIN_LOW  0x0

#define CNV 0x04 //Set CNV to PIN 1.2

//Function Declaration
typedef   signed          char int8_t;
typedef   signed short     int int16_t;
typedef   signed           int int32_t;
typedef   signed       __int64 int64_t;

void Delay(unint32_t DelayTime);
void ADuCM360Initialize(void);
void UARTINIT (void);
void SPIINIT(void);
void SendString(void);                   // Transmit string using UART
void SendResultToUART(uint32_t ADCData); // Send measurement results to UART - in ASCII String format
uint16_t ReadRegisterID(void);
void SpiReadWrite(uint8_t *InputBuffer, uint8_t *OutputBuffer, uint8_t NoOfBytes);
void ADuCM360GpioOutput  (unsigned char  GpioNo, unsigned char OutputValue);
uint8_t SingleConv(void);
void ReadSend(void);
void SoftwareReset(void);
void Config_Lmt_All(uint16_t ULow,uint16_t UHi);
void Config_Hys_All(uint16_t UHys);
void Wr_Chn_Reg(uint16_t UCh);
uint16_t Rd_Chn_Reg(void);
void ConvStart(void);
void Wr_Config_AD7091R(uint16_t UConfig);
uint16_t Rd_Config_AD7091R(void);
void Wr_AD7091R(uint16_t UReg,uint16_t UConfig);
uint16_t Rd_Chn_Def(uint16_t Uch);
uint16_t Rd_AD7091R(uint16_t UReg);
uint16_t Single_Read_All_Data(void);
uint16_t Rd_Alt_Reg(void);

#endif
